SEAL_Policy< B > Class Template Reference

SEAL stream cipher operation. More...

Inheritance diagram for SEAL_Policy< B >:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 256 >
typedef word32 | WordType
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 256 >
unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations. More...
bool | CanOperateKeystream () const
| Flag indicating. More...
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process. More...
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream. More...
Static Public Member Functions inherited from SEAL_Info< B >
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 20, SimpleKeyingInterface::INTERNALLY_GENERATED_IV, 4 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 256 >
static const int | BYTES_PER_ITERATION
Static Public Attributes inherited from FixedKeyLength< 20, SimpleKeyingInterface::INTERNALLY_GENERATED_IV, 4 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

### template<class B = BigEndian>
class SEAL_Policy< B >

SEAL stream cipher operation.

Template Parameters

  B | Endianess of the stream cipher

Definition at line 27 of file seal.h.

The documentation for this class was generated from the following files:

- seal.h
- seal.cpp